:root {
  --blue_college: rgba(14, 4, 123, 1);
  --red_college: rgb(227, 6, 19);
  --red_college_dark: rgba(155, 11, 11, 0.935);
  --gray_college: rgba(128, 128, 128, 1);
  --white: rgba(255, 255, 255, 1);
  --color_text: rgba(0, 0, 0, 1);
  --color_network: rgba(141, 134, 134, 1);
  --shadow: rbga(220, 220, 223, 1);
  --red_collage_m: rgba(160, 16, 11, 0.966);
  --silver: rgba(239, 236, 236, 0.978);
}

.list {
  list-style: none;
  margin: 0;
  padding: 0;
}

.container {
  width: 80%;
  margin: 0 auto;
  background-color: var(--silver);
  box-shadow: 0px 0px 5px rgb(220, 220, 223);
}
.ola {
  width: 60%;
  margin: 10px;
  text-align: justify; 
  padding: 2px;
  font-size: clamp(1rem , 3vw , 1.3rem);
}
.content_row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.content_row-reverse {
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
}
.content_column {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 10px;
}
.content_column_align-items {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}


.content-wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 50px;
}
.title-si {
  position: relative;
  display: flex;
  height: 50px;
  width: 100%;
  align-items: center;
  justify-content: center;
  color: var(--white);
  overflow: hidden;
  z-index: 1;
}

.title-si::before,
.title-si::after {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  z-index: -1;
  transition: opacity 2s ease-in-out;
}

.title-si::before {
  background: linear-gradient(
    90deg,
    var(--silver) 0%,
    var(--red_college_dark) 45%,
    var(--red_college_dark) 55%,
    var(--silver) 100%
  );
  opacity: 1;
}

.title-si::after {
  background: linear-gradient(
    90deg,
    var(--red_college_dark) 0%,
    var(--silver) 45%,
    var(--silver) 55%,
    var(--red_college_dark) 100%
  );
  
  opacity: 0;
  
}

.title-si:hover::before {
  opacity: 0;
}

.title-si:hover::after {
  opacity: 1;
}

.title-si:hover {
  color: var(--red_collage_m);
}

.title-is_no_hover{
  background: linear-gradient(
    90deg,
    var(--silver) 0%,
    var(--red_college_dark) 45%,
    var(--red_college_dark) 55%,
    var(--silver) 100%
  );
  display: flex;
  height: 50px;
  width: 100%;
  align-items: center;
  justify-content: center;
  color: var(--white);
  /*box-shadow: 5px 0 0 #42424210, 0 5px 0 #4242420c;*/
}


.desing-areas {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

.section-areas {
  margin: 0 auto;
  width: 80%;
  font-family: Roboto;
}
.section-areas ul {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap; /* Hace que los elementos se ajusten a la pantalla */
  padding: 0;
  list-style: none;
}

.section-areas li {
   flex: 1 1 45%; /* Cada item ocupa un 45% del ancho */
   margin: 15px;
   text-align: center;
 }
.responsive-img {
  width: 100%;  
  height: auto;  
  max-width: 400px; 
}
@media (max-width: 768px) {
  .section-areas li {
    flex: 1 1 100%; /* En pantallas pequeñas, cada item ocupa el 100% */
  }
  
  .btninst-text {
    font-size: 1.5rem;
  }
  .ola {
  width: 100%;
}
}
.desing-image {
  border-radius: 25%;
}

.school-title {
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: var(--blue_college);
  color: var(--white);
  font-size: 12px;
}

.menu {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 30px;
  gap: 10px;
  justify-content: space-around;
  padding: 10px;
  background: #9e0303;
  background: linear-gradient(180deg, rgba(158, 3, 3, 1) 0%, rgba(255, 255, 255, 1) 100%, rgba(255, 255, 255, 1) 100%);
}


.menu2 {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  background-color: var(--white);
  height: 160px;
  margin-bottom: 10px;
  padding-left: 50px;
}
.menu3 {
  background: var(--blue_college);
  margin: 0;
  padding: 0;
  position: relative;
}

.menu3 {
  background: var(--blue_college);
  margin: 0;
  padding: 0;
}
.hamburger {
  display: none;
  background: none;
  border: none;
  font-size: 30px;
  color: var(--white);
  padding: 15px 20px;
  cursor: pointer;
}
/* Estilo base para pantallas grandes */
.menu-horizontal {
  list-style: none;
  display: flex;
  justify-content: space-around;
  margin: 0 100px;
  padding: 0;
  flex-wrap: wrap;
}

.menu-horizontal > li > a {
  display: block;
  padding: 15px;
  color: var(--white);
  text-decoration: none;
  font-size: 14px;
  text-align: center;
}

.menu-horizontal > li > a:hover {
  background-color: rgb(236, 232, 232);
  color: #020024;
}

/* -------- MEDIA QUERIES -------- */
/*
/* Pantallas medianas (tablets) */
    @media (max-width: 768px) {
      .menu2{
       display: flex;
       flex-direction: row;
       align-items: center;
       justify-content: space-around;
       background-color: var(--white);
       height: 160px;
       margin-bottom: 10px;
       padding-left: 0%;
      }
      .menu{
        height: auto;
      }
      .hamburger {
        display: block;
      }

      .menu-horizontal {
        
        display: none;
        flex-direction: column;
        align-items: center;
        background-color: var(--blue_college);
        width: 100%;
        margin: 0;
      }

      .menu-horizontal.show {
        display: flex;
      }

      .menu-horizontal > li {
        width: 100%;
      }

      .menu-horizontal > li > a {
        font-size: 16px;
        padding: 15px;
        border-top: 1px solid rgba(255, 255, 255, 0.1);
      }
    }


.menu-ident {
  display: flex;
  list-style: none;
  justify-content: left;
  align-items: center;
  gap: 15px;
  width: 100%;
  padding: 5px;
}

.menu-ident-column {
  display: flex;
  flex-direction: column;
  list-style: none;
  justify-content: left;
  justify-items: center;
  font-size: clamp(0.7rem, 2vw, 1rem);
  gap: 5px;

  width: 100%;
}

.menu-icon {
  list-style: none;
  display: flex;
  justify-content: center;
  gap: 5px;
  cursor: pointer;
}

.icon {
  width: 20px;
  height: 20px;
  padding: 10px;
  fill: var(--blue_college);
  border-radius: 50%;
}

.icon-container img {
  max-height: 20px;
  max-width: 20px;
}

.icon:hover {
  fill: var(--white);
  background-color: #e0d8d8;
}

.icon:focus {
  fill: #ffffff;
  background-color: #c8c2c2;
}

.btn-lang1 {
  display: flex;
  width: 32px;
  height: 32px;
  background-image: url(../images/es.jpg);
  border: none;
  cursor: pointer;
}
.btn-lang2 {
  display: flex;
  width: 32px;
  height: 32px;
  background-image: url(../images/en.jpg);
  border: none;
  cursor: pointer;
}
.btn-lang3 {
  display: flex;
  width: 32px;
  height: 32px;
  background-image: url(../images/loitalia.jpg);
  border: none;
  cursor: pointer;
}

.menu-vertical {
  position: absolute;
  display: none;
  list-style: none;
  width: 200px;
  background-color: rgba(255, 255, 255, 0.5);
}
.menu-horizontal li:hover .menu-vertical {
  display: block;
}
.menu-vertical li:hover {
  background-color: black;
}
.menu-vertical li a {
  display: block;
  color: white;
  padding: 15px 15px 15px 20px;
  text-decoration: none;
}

.content-section {
  width: 80%;
  margin: 0 auto;
}

.subtitles {
  color: var(--white);
  font-size: 20px;
  font-family: roboto;
  background-color: var(--blue_college);
  padding-top: 10px;
  padding-bottom: 10px;
  width: 100%;
}
/**/
.content_row_vis-mis {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 10px;
}
 @media (max-width: 700px) {
  .content_row_vis-mis{
    flex-direction: column;
    justify-content: center;
    text-align: row;
  }
}
.content_vis-mis {
  display: flex;
  font-size: clamp(1rem , 0.5vw , 2rem);
  flex-direction: column;
  align-items: center;
  padding: 10px;
}
.content_vis-mis_parafo{
  width: 80%;
} 

.content-subtitles {
  color: beige;

}

.content-subtitlesins {
  color: var(--color_text);
  padding: 10px;
}
.section-footer {
  background: var(--white);
  width: 100%;
  margin-top: 20px;
  border-top: 10px solid orange; /* línea decorativa multicolor */
  border-bottom: 10px solid orange;
  overflow: hidden;
  padding-top: 0;
}
.social-bar {
   background: var(--red_college_dark);
   padding: 10px 0;
   display: flex;
   justify-content: center;
   gap: 30px;
   align-items: center;
 }
 .social-bar a svg {
   width: 30px;
   height: 30px;
   fill: var(--white);
   transition: transform 0.3s;
 }
 .social-bar a svg:hover {
   transform: scale(1.1);
  }
.content-footer {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  gap: 20px;
  font-family: ronoto, sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 2em;
  padding: 20px;
  }
.af {
  color: var(--blue_college);
}
 @media (max-width: 700px) {
  .content-footer {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  .footer-bot {
    width: 80%;
    font-size: 18px;
  }
}
.af:hover {
      text-decoration: underline;
    }
.content-programs {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
}

.a {
  text-decoration: none;
  color: aliceblue;
  margin-left: 10%;
  display: flex;
  justify-content: space-between;
}
.b {
  text-decoration: none;
  color: aliceblue;
  margin-left: 10%;
}
.c {
  text-decoration: none;
  color: aliceblue;
  margin-left: 10%;
}

.section-banner {
  margin-left: 0 auto;
  margin-right: 0 auto;
}
.pond {
  display: flex;
  flex-direction: row;
}
.info {
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin-bottom: 10px;
  margin-top: 10px;
}
.info video {
  max-width: 100%;  /* nunca más grande que el contenedor */
  height: auto;     /* mantiene proporción */
  border-radius: 8px; /* opcional, bordes redondeados */
}
.desing-areas {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.contenedor {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: left;
  height: 50vh;
}
.contenedor figure {
  position: relative;
  height: 250px;
  cursor: pointer;
  width: 350px;
  overflow: hidden;
  border-radius: 6px;
  box-shadow: 0px 15px 25px rgba(0, 0, 0, 0.5);
}
.contenedor figure img {
  width: 100%;
  height: 100%;
  transition: all 400ms ease-out;
  will-change: transform;
}
.contenedor figure .capa {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(123, 0, 0, 0.7);
  transition: all 400ms ease-out;
  opacity: 0;
  visibility: hidden;
  text-align: center;
}
.contenedor {
  width: 350px;
  height: 400px;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 10px;
  overflow: hidden;
  border-radius: 15px;
}
.contenedor figure:hover > .capa {
  opacity: 1;
  visibility: visible;
}
.contenedor figure:hover > .capa h3 {
  margin-top: 70px;
  margin-bottom: 15px;
}
.contenedor figure:hover > img {
  transform: scale(1.3);
}
.contenedor figure .capa h3 {
  color: #fff;
  font-weight: 400;
  font-size: 50px;
  margin-bottom: 120px;
  transition: all 400ms ease-out;
  margin-top: 30px;
}
.contenedor figure .capa p {
  color: #fff;
  font-size: 15px;
  line-height: 1.5;
  width: 100%;
  max-width: 220px;
  margin: auto;
}

.desing-image {
  border-radius: 20px;
}



.hr1 {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.hr2 {
  background-color: var(--blue_college);
  padding: 0px 19px;
  font-size: 17px;
  width: 600px;
}

.search-container {
  display: flex;
  justify-content: center;
  margin-top: 20px;
  margin-bottom: 20px;
}

.search-box {
  position: relative;
}

.search-box input[type="text"] {
  padding: 10px;
  width: 200px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.search-box button {
  position: absolute;
  top: 0;
  right: 0;
  padding: 10px;
  background-color: #3369a3;
  border: none;
  color: #fff;
  border-radius: 0 4px 4px 0;
  cursor: pointer;
}

main {
  padding: 10px;
}

/* Responsive CSS */
@media (max-width: 600px) {
  header,
  footer {
    font-size: 18px;
  }

  main {
    font-size: 16px;
  }
}

.icon-container-rad {
  height: 44px;
  width: 44px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 10px;
  background: rgb(34, 62, 244, 0.5);
}

.h3b {
  text-align: center;
}

.btnp {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-top: 50px;
}

.btn {
  height: 50px;
  width: 100%;
  background-color: brown;
  font-family: roboto;
  font-size: 20px;
  color: rgb(255, 255, 255);
  margin: 6px 0;
}
.btninst {
  height: 50px;
  width: 100%;
  background-color: var(--blue_college);
  font-family: roboto;
  font-size: 30px;
  color: rgb(255, 255, 255);
  margin: 15px 0;
}

.btninst-text {
  height: 100%;
  width: 100%;
  font-family: roboto;
  font-size: 30px;
  color: rgb(255, 255, 255);
  margin: 6px 0;
  display: flex;
  justify-content: center;
  text-align: center;
  font-size: 2rem;
  margin-bottom: 20px;
}



.padres {
  text-align: center;
}

.inclusion {
  display: flex;
  flex-direction: column;
  padding: 10px;
  align-items: center;
  color: black;
  margin-top: 20px;
}
.inclusionimg {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
}
.inclusion-text {
  color: rgb(8, 8, 8);
  padding: 15px;
  font-size: 20px;
  font-family: roboto;
  font-weight: 300;
  list-style: none;
}

a {
  text-decoration: none;
}

.PIAR {
  display: flex;
  margin: 20px;
  flex-direction: column;
  list-style: none;
}

.criterios {
  display: flex;
  padding-top: 10%;
  flex-direction: column;
  padding-right: 10%;
}
.criterios-2 {
  display: flex;
  padding-top: 10%;
  flex-direction: column;
  padding-right: 10%;
}
.ope {
  display: flex;
  flex-direction: row;
  color: rgb(0, 0, 0);
}
.mh2 {
  list-style: none;
  display: flex;
  justify-content: space-around;
}
.mh2 > li > a {
  display: block;
  padding: 15px 20px;
}
.mh2 > li:hover {
  background-color: rgb(254, 12, 12);
}
.col {
  font-size: 30px;
  color: rgb(255, 252, 252);
  background-color: rgb(20, 20, 112);
  display: block;
  unicode-bidi: isolate;
  margin-block-start: 0.5em;
  margin-block-end: 0.5em;
  margin-inline-start: auto;
  margin-inline-end: auto;
  overflow: hidden;
  border-style: inset;
  border-width: 1px;
  border: rgb(185, 7, 7) 3px ridge;
}

.ini {
  display: flex;
  justify-content: center;
  color: rgb(255, 255, 255);
  background-color: rgb(20, 20, 112);
  font-size: 40px;
  border-style: inset;
  border-width: 1px;
  border: rgb(185, 7, 7) 3px ridge;
}
.yes {
  color: var(--color_text);
}
.sub {
  background-color: rgb(20, 20, 112);
  font-size: 20px;
  color: rgb(255, 255, 255);
}

.sede {
  display: flex;
  flex-direction: column;
  color: var(--blue_college);
  padding: 30px 10px;
  text-align: center;
  text-decoration: none;
  font-family: Roboto;
  font-size: 14px;
  font-weight: 500;
  max-width: 300px;
}

.pol {
  height: 4vh;
}

.desing-areas {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: baseline;
}

.btnp:hover {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-top: 50px;
}

.btn {
  height: 50px;
  width: 100%;
  background-color: brown;
  font-family: roboto;
  font-size: 20px;
  color: rgb(255, 255, 255);
  margin: 6px 0;
}

.padres {
  text-align: center;
}

.content-boton {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  align-content: space-between;
  justify-content: center;
  gap: 50px;
  margin-top: 20px;
}
.a-btn {
  text-decoration: none;
  color: #0000f2;
  font-size: 30px;
}
.boton {
  background-color: rgb(200, 200, 205);
  border: rgb(110, 4, 4) 10px outset;
  height: 150px;
  width: 700px;
  display: end;
  font-size: 16px;
  font-family: roboto;
}
.button {
  width: 300px;
  height: 200px;
  margin: 20px;
  font-size: 40px;
  text-align: center;
  background-color: rgb(1, 34, 141) f;
  color: #ff0000;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.button:hover {
  background-color: #0056b3;
}

.desing-image {
  border-radius: 25%;
}
.cp {
  background: rgb(255, 0, 0);
  background: linear-gradient(
    90deg,
    rgba(255, 0, 0, 1) 0%,
    rgba(154, 7, 7, 1) 35%,
    rgba(0, 212, 255, 1) 49%,
    rgba(55, 0, 255, 1) 100%
  );
}
.waza {
  background: rgb(255, 0, 0);
  background: linear-gradient(
    90deg,
    rgba(255, 0, 0, 1) 0%,
    rgba(154, 7, 7, 1) 35%,
    rgba(0, 212, 255, 1) 49%,
    rgba(55, 0, 255, 1) 100%
  );
}
.horarios {
  display: flex;
  display: flex;
  justify-content: left;
  align-items: normal;
}
.cp2 {
  position: absolute;
  top: 259px;
  right: 25px;
}
.pg {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 50px;
  align-content: space-between;
  align-items: center;
}
.pg-img {
  display: flex;
  flex-direction: column;
  width: 180px;
  height: 200px;
  gap: 40px;
  align-content: space-between;
  align-items: center;
  padding: 14px 40px;
}
/*-----------------------------------*/
.content-botone {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  align-content: space-between;
  gap: 5px;
  margin-top: 20px;
}

.a-btn {
  text-decoration: none;
  color: #0000f2;
  font-size: 50px;
}
.botone {
  background-color: rgb(200, 200, 205);
  border: rgb(110, 4, 4) 8px outset;
  height: 300px;
  width: 300px;
  font-size: 14px;
  font-family: roboto;
}

.proyects {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
  align-content: space-between;
  align-items: center;
}

.letters {
  color: black;
  font-size: clamp(0.9rem , 1.5vw , 0.5rem);
  padding: 2px;
  text-align: center;
}

.ap {
  text-decoration: none;
}

.line {
  text-decoration: none;
  font-family: cursive;
  color: black;
  font-size: 25px;
}

.btnz {
  background-color: rgb(206, 166, 252);
  width: 300px;
  height: 50px;
  border-radius: 5px;
  border: rgb(22, 102, 194) 6px inset;
  align-items: center;
  margin-right: 15px;
}

.btnz:hover {
  background-color: lightgray;
}

.buttonz {
  display: flex;
  justify-content: center;
  padding: 35px;
}

.h2z {
  background-color: cornflowerblue;
  height: 30px;
  font-size: 20px;
  color: black;
  text-align: center;
  font-style: italic;
  margin-top: 10px;
}

.team-container {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  margin-top: 50px;
  justify-content: center;
}
/* emisoras*/
.content-programs {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  gap: 30px;
}
.programs {
  padding: 11px;
  color: rgb(0, 0, 0); /*color de las letras*/
  padding: 3px 10px;
  border: rgb(3, 7, 200) 5px solid;
  border-radius: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 700px;
  font-size: 17px;
  line-height: 0.9;
  letter-spacing: 0.008em;
  font-weight: 500;
}
.programs-2 {
  border: #ff2621 5px solid;
  padding: 11px;
  color: rgb(0, 0, 0); /*color de las letras*/
  padding: 3px 10px;
  border-radius: 20px;
  display: flex; /*cenra*/
  justify-content: center; /*cenra*/
  align-items: center; /*cenra*/
  font-size: 14px;
  line-height: 0.9;
  letter-spacing: 0.008em;
  font-weight: 500;
}
.audio {
  border-radius: 23px;
  border: 5px solid #ff2621;
}

.half/*centra todo*/ {
  display: flex; /*cenra*/
  justify-content: center; /*cenra*/
  align-items: center; /*cenra*/
}
.emisora-radio-joven {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}
.center {
  display: flex;
  justify-content: center;
  padding: 15px;
}

.menu-horizontal-sup {
  list-style: none;
  display: flex;
  justify-content: space-around;
}
.borderxd{
    padding: 3px 2px;
/*  border-top: var(--red_collage_m) 2px groove;*/
  border-left: var(--blue_college) 2px ridge;
  border-right: var(--blue_college) 2px inset;
  border-bottom: var(--blue_college) 2px outset;
  border-radius: 0px 0px 10px 10px;
  height: 30px;
  margin: 10px;
  margin-top: 20px;
}
.menu-horizontal-sup > li > a { 
  display: block;
  padding: 10px 10px;
  text-decoration: none;
  color: var(--color_text); 
  font-size: 14px;
}

.menu-horizontal-sup > li :hover {
  background-color: var(--blue_college);
  border-radius: 0px 0px 10px 10px;
  height: 13px;
  color: var(--white);
}
.menu-vertical-sup {
  position: absolute;
  display: none;
  list-style: none;
  width: 200px;
  background-color: var(--blue_college);
  font-size: 14px;
}
.menu-horizontal-sup li:hover .menu-vertical-sup {
  display: block;
}
.menu-vertical-sup li:hover {
  background-color: var(--blue_college);

}
.menu-vertical-sup li a {
  display: block;
  color: white;
  padding: 15px 15px 15px 20px;
  background-color: var(--gray_college);
}
.menu-vertical-sup > li :hover {
  background-color: var(--silver);
  color: var(--color_text);
}

.centrar-imagenes {
  display: flex;
  justify-content: center;
}

.btn {
  background-color: rgb(206, 166, 252);
  width: 300px;
  height: 50px;
  border-radius: 5px;
  border: rgb(22, 102, 194) 6px inset;
  align-items: center;
  margin-right: 15px;
}

.btn:hover {
  background-color: lightgray;
}

.button {
  display: flex;
  justify-content: center;
  padding: 35px;
}

.cont-row {
  display: flex;
  flex-direction: row;
  gap: 100px;
  justify-content: center;
  align-items: center;
}

.line {
  text-decoration: none;
  font-family: cursive;
  color: black;
  font-size: 25px;
}

.notic {
  font-size: 16px;
  font-family: roboto;
  padding-top: 10px;
  padding-bottom: 10px;
  text-decoration: #020024;
}

.no {
  text-align: center;
}

.target {
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-decoration: none;
  height: 405px;
  width: 370px;
  padding: 20px;
  border-radius:6px; 
}

.target-portfolio:hover {
  box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.12), 0px 1px 1px rgba(0, 0, 0, 0.14),
    0px 2px 1px rgba(0, 0, 0, 0.2);
  text-decoration: none;
}
 
.content_row-m {
  display: flex;
  flex-wrap: wrap;
  gap: 80px;
  justify-content: center;
  padding: 20px;
}

.contenedo {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: left;
  height: 40vh;
}
.contenedo figure {
  position: relative;
  height: 250px;
  cursor: pointer;
  width: 350px;
  overflow: hidden;
}
.contenedo figure img {
  width: 100%;
  height: 100%;
  transition: all 400ms ease-out;
  will-change: transform;
}
.contenedo figure .capa {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.274);
  transition: all 400ms ease-out;
  opacity: 0;
  visibility: hidden;
  text-align: center;
  display: flex;
  flex-direction: column-reverse;
}


.contenedo {
  width: 300px;
  height: 350px;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 10px;
  overflow: hidden;
  border-radius: 15px;
}

/* Imagen y capa */
.contenedo figure {
  position: relative;
  width: 100%;
  height: 250px;
  overflow: hidden;
  cursor: pointer;
  margin: 0;
}

/* Imagen */
.contenedo figure img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 400ms ease-out;
  border-radius: 5px;
}

/* Efecto hover */
.contenedo figure .capa {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  visibility: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: opacity 400ms ease-out, visibility 400ms ease-out;
}

.contenedo figure:hover .capa {
  opacity: 1;
  visibility: visible;
}


/*ola*/
.general-content {
  background-image: url(../images/_Matriculas_.jpg);
  background-size: cover;
  color: azure;
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
/* Estilos Modal */

.backdrop {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(250, 250, 250, 0.534);
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  transition: opacity 250ms cubic-bezier(0.4, 0, 0.2, 1),
    visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal {
  width: 528px;
  height: 580px;
  background-color: var(--white);
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  padding: 40px;
}

.close-btn {
  position: absolute;
  top: 8px;
  right: 8px;
  padding: 5px;
  width: 30px;
  height: 30px;
  border: 1px solid #0000001a;
  border-radius: 50%;
  background-color: transparent;
  cursor: pointer;
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.close-btn:focus,
.close-btn:hover {
  fill: red;
}

.is-hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.modal-form {
  display: flex;
  flex-direction: column;
}

.modal-form-head {
  font-weight: bold;
  font-size: 20px;
  line-height: 1.15;
  text-align: center;
  letter-spacing: 0.03em;
  color: var(--blue_college);
  margin-bottom: 12px;
}

.modal-form-field {
  font-weight: normal;
  font-size: 12px;
  line-height: 1.16;
  letter-spacing: 0.01em;
  color: var(--blue_college);
  margin-bottom: 14px;
}
.modal-form-input-wrapper {
  position: relative;
  display: block;
  margin-top: 4px;
}

.modal-form-input {
  width: 100%;
  height: 40px;
  border: 1px solid var(--blue_college);
  box-sizing: border-box;
  border-radius: 4px;
  padding-left: 42px;
  cursor: pointer;
  transition: border 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-form-input:focus {
  outline: none;
  border: 1px solid var(--blue_college);
}

.modal-form-icon {
  position: absolute;
  display: block;
  top: 50%;
  left: 15px;
  transform: translateY(-50%);
  width: 14px;
  height: 14px;
}

.modal-form-input:focus + .modal-form-icon {
  fill: red;
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-form-message {
  width: 528px;
  height: 120px;
  margin-top: 4px;
  border: 1px solid var(--blue_college);
  box-sizing: border-box;
  border-radius: 4px;
  resize: none;
  padding: 12px 16px;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-form-message:focus {
  outline: none;
  border-color: red;
}

.modal-form-message::placeholder {
  font-weight: normal;
  font-size: 14px;
  line-height: 16px;
  letter-spacing: 0.01em;
  color: rgba(117, 117, 117, 0.5);
}

/* Checkbox */

.c {
  display: flex;
}

.visually-hidden {
  position: absolute !important;
  clip: rect(1px 1px 1px 1px);
  padding: 0 !important;
  border: 0 !important;
  height: 0px !important;
  width: 0px !important;
  overflow: hidden;
}

.modal-form-checkbox-label {
  display: flex;
  align-items: center;
  font-weight: normal;
  font-size: 14px;
  line-height: 1.71;
  letter-spacing: 0.03em;
  color: var(--blue_college);
  margin-bottom: 30px;
}

.modal-form-checkbox-label::before {
  content: "";
  display: block;
  width: 20px;
  height: 15px;
  border: 1px solid rgb(0, 34, 128);
  border-radius: 2px;
  cursor: pointer;
  margin-right: 9px;
  margin-bottom: 20px;
}

.modal-form-checkbox:checked + .modal-form-checkbox-label::before {
  background-image: url(./images/iconcheck.svg);
  border-color: var(--blue_college);
  background-color: var(--blue_college);
}

.modal-form-btn {
  background-color: var(--blue_college);
  display: inline-block;
  align-items: center;
  align-self: center;
  text-align: center;
  font-weight: bold;
  font-size: 16px;
  line-height: 1.8;
  letter-spacing: 0.06em;
  width: 200px;
  height: 50px;
  padding: 10px 56px;
  cursor: pointer;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);
  border-radius: 4px;
  border: none;
}
/*arenas*/
.textos-centrados {
  text-align: center;
  padding-right: 5%;
  padding-left: 5%;
  padding-top: 2%;
  padding-bottom: 2%;
}
.textos-justify {
  text-align: justify;
}
.fondo {
  height: 50px;
  background: rgb(119,15,13);
  background: linear-gradient(180deg, rgba(119,15,13,1) 2%, rgba(203,0,0,1) 57%, rgba(238,172,2,1) 57%, rgba(238,172,2,1) 58%, rgba(176,0,0,1) 58%, rgba(149,11,11,1) 60%, rgba(17,71,215,1) 60%, rgba(17,71,215,1) 65%, rgba(125,10,10,1) 65%, rgba(117,9,9,1) 71%, rgba(238,172,2,1) 71%, rgba(238,172,2,1) 72%, rgba(116,3,3,1) 72%, rgba(115,10,10,1) 74%, rgba(255,255,255,1) 74%, rgba(255,255,255,1) 100%, rgba(149,11,11,1) 561%);
}

.separacion-textos {
  margin-bottom: 50px;
}
.proyects-tec {
  display: flex;
  flex-wrap: wrap;
  gap: 4px;
  align-content: space-between;
}

.letters_tec {
  color: var(--color_text);
  font-size: 15px;
  margin: 30px 30px;

}
.contenedor_tec {
  width: 300px;
  height: 400px;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 10px;
  overflow: hidden;
  border-radius: 15px;
}

.contenedor_tec figure {
  position: relative;
  height: 250px;
  cursor: pointer;
  width: 250px;
  overflow: hidden;
  border-radius: 6px;
  box-shadow: 6px 6px 6px rgba(233, 230, 230, 0.5);
}
.contenedor_tec figure img {
  width: 100%;
  height: 100%;
  transition: all 400ms ease-out;
  will-change: transform;
}
.contenedor_tec figure .capa {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(123, 0, 0, 0.7);
  transition: all 400ms ease-out;
  opacity: 0;
  visibility: hidden;
  text-align: center;
}
.contenedor_tec figure:hover > .capa {
  opacity: 1;
  visibility: visible;
}
.contenedor_tec figure:hover > .capa h3 {
  margin-top: 70px;
  margin-bottom: 15px;
}
.contenedor_tec figure:hover > img {
  transform: scale(1.3);
}
.contenedor_tec figure .capa h3 {
  color: #fff;
  font-weight: 400;
  font-size: 60px;
  margin-bottom: 120px;
  transition: all 400ms ease-out;
  margin-top: 30px;
}
.contenedor_tec figure .capa p {
  color: #fff;
  font-size: 15px;
  line-height: 1.5;
  width: 100%;
  max-width: 220px;
  margin: auto;
}
.noti_estudiantes {
  font-size: 30px;
  text-align: center;
}
.footer-bot {
  height: 40px;
  width: 100%;
  max-width: 400px;
  font-size: 20px;
  background-color: var(--white);
  color: var(--blue_college);
  border: 2px solid var(--blue_college);
  border-radius: 8px;
  cursor: pointer;
}
.sed_borde {
  border-left: 5px solid;
  border-right: 5px solid;
  border-color: var(--white);
}
.content_column2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.flotante {
  margin: 0;
  padding: 0;
  height: 50vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #f0f0f0;
  overflow: hidden;
}

.concp {
  position: relative;
  width: 100%;
  height: 100%;
}

.cuaderno {
  width: 100px;
  height: auto;
  position: absolute;
}

.floating {
  animation: float 5s ease-in-out infinite;
}

@keyframes float {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
}

/* Posiciones iniciales para los cuadernos */
.cuaderno:nth-child(1) {
  top: 10%;
  left: 20%;
  animation-duration: 6s;
}

.cuaderno:nth-child(2) {
  top: 30%;
  left: 60%;
  animation-duration: 8s;
}

.cuaderno:nth-child(3) {
  top: 70%;
  left: 40%;
  animation-duration: 7s;
}

.cuaderno:nth-child(4) {
  top: 50%;
  left: 80%;
  animation-duration: 5s;
}
/*degrade*/
.a {
  background: linear-gradient(
    90deg,
    rgba(255, 255, 255, 1) 0%,
    rgba(214, 41, 41, 1) 50%,
    rgba(246, 247, 247, 1) 100%
  );
  transition: background-color 30s;
}

.a:hover {
  background: linear-gradient(
    90deg,
    rgba(226, 6, 18, 1) 0%,
    rgba(255, 255, 255, 1) 50%,
    rgba(226, 6, 18, 1) 100%
  );
  color: var(--red_college);
}
.foto {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}
.espa {
  background-image: url(../images/espacio_ex.jpg);
  color: #ffffff;
}

/**/
.slider-container {
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.slider {
  width: 800px;
  overflow: hidden;
}

.slider ul {
  display: flex;
  transition: transform 0.5s ease-in-out;
  padding: 0;
  margin: 0;
  width: 3200px; /* 4 imágenes * 800px */
}

.slider li {
  min-width: 800px;
  list-style: none;
  flex-shrink: 0;
}


.slider img {
  width: 800px;
  height: 550px;
  display: block;
}

/* Flechas */
#prevBtn, #nextBtn {
  background-color: var(--blue_college) ;
  border: none;
  padding: 10px;
  cursor: pointer;
  position: absolute;
  top: 50%;
  border-radius: 50px;
  transform: translateY(-50%);
  z-index: 10;
}

#prevBtn { left: 10px; }
#nextBtn { right: 10px; }

/* Botones de control */
.controls {
  text-align: center;
  margin-top: 10px;
  
}

.control-btn {
  padding: 5px 10px; 
  margin: 5px;
  cursor: pointer;
  background-color: var(--white);
  border-radius: 100px;
}

.control-btn.active {
  color: white;
  background-color: var(--blue_college);
}
